Upstream information

CVE-2020-22935 at MITRE

Description

** RESERVED ** This candidate has been reserved by an organization or individual that will use it when announcing a new security problem. When the candidate has been publicized, the details for this candidate will be provided.

SUSE information

Overall state of this security issue: Does not affect SUSE products

No SUSE Bugzilla entries cross referenced.

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Image SLES12-SP4-Azure-BYOS
Image SLES12-SP4-SAP-Azure-BYOS
Image SLES12-SP5-Azure-BYOS
Image SLES12-SP5-Azure-HPC-BYOS
Image SLES12-SP5-Azure-SAP-BYOS
Image SLES12-SP5-EC2-BYOS
Image SLES12-SP5-EC2-SAP-BYOS
Image SLES12-SP5-GCE-BYOS
Image SLES12-SP5-GCE-SAP-BYOS
  • python2-salt >= 3000-62.1
  • salt >= 3000-62.1
  • salt-minion >= 3000-62.1
SUSE Linux Enterprise High Performance Computing 12
SUSE Linux Enterprise Module for Advanced Systems Management 12
SUSE Linux Enterprise Server 12
SUSE Linux Enterprise Server 12 SP3
SUSE Linux Enterprise Server 12 SP4
SUSE Linux Enterprise Server 12 SP5
SUSE Linux Enterprise Server for SAP Applications 12
SUSE Linux Enterprise Server for SAP Applications 12 SP3
SUSE Linux Enterprise Server for SAP Applications 12 SP4
SUSE Linux Enterprise Server for SAP Applications 12 SP5
  • python2-salt >= 3000-62.1
  • salt >= 3000-62.1
  • salt-api >= 3000-62.1
  • salt-bash-completion >= 3000-62.1
  • salt-cloud >= 3000-62.1
  • salt-doc >= 3000-62.1
  • salt-master >= 3000-62.1
  • salt-minion >= 3000-62.1
  • salt-proxy >= 3000-62.1
  • salt-ssh >= 3000-62.1
  • salt-standalone-formulas-configuration >= 3000-62.1
  • salt-syndic >= 3000-62.1
  • salt-zsh-completion >= 3000-62.1
Patchnames:
SUSE-SLE-Module-Adv-Systems-Management-12-2022-1384
SUSE Manager Tools 12-BETA
  • golang-github-prometheus-alertmanager >= 0.23.0-4.9.1
  • golang-github-prometheus-node_exporter >= 1.3.0-4.12.1
  • golang-github-prometheus-prometheus >= 2.32.1-4.30.1
  • golang-github-prometheus-promu >= 0.13.0-4.9.1
  • mgr-cfg >= 4.3.6-4.27.1
  • mgr-cfg-actions >= 4.3.6-4.27.1
  • mgr-cfg-client >= 4.3.6-4.27.1
  • mgr-cfg-management >= 4.3.6-4.27.1
  • mgr-osad >= 4.3.6-4.27.1
  • mgr-push >= 4.3.4-4.18.1
  • mgr-virtualization-host >= 4.3.5-4.18.1
  • python2-mgr-cfg >= 4.3.6-4.27.1
  • python2-mgr-cfg-actions >= 4.3.6-4.27.1
  • python2-mgr-cfg-client >= 4.3.6-4.27.1
  • python2-mgr-cfg-management >= 4.3.6-4.27.1
  • python2-mgr-osa-common >= 4.3.6-4.27.1
  • python2-mgr-osad >= 4.3.6-4.27.1
  • python2-mgr-push >= 4.3.4-4.18.1
  • python2-mgr-virtualization-common >= 4.3.5-4.18.1
  • python2-mgr-virtualization-host >= 4.3.5-4.18.1
  • python2-rhnlib >= 4.3.4-24.27.1
  • python2-salt >= 3000-53.11.1
  • python2-spacewalk-check >= 4.3.9-55.45.1
  • python2-spacewalk-client-setup >= 4.3.9-55.45.1
  • python2-spacewalk-client-tools >= 4.3.9-55.45.1
  • python2-spacewalk-koan >= 4.3.5-27.18.1
  • python2-spacewalk-oscap >= 4.3.5-22.18.1
  • python2-suseRegisterInfo >= 4.3.3-28.21.1
  • python2-uyuni-common-libs >= 4.3.4-3.30.1
  • python3-salt >= 3000-53.11.1
  • salt >= 3000-53.11.1
  • salt-doc >= 3000-53.11.1
  • salt-minion >= 3000-53.11.1
  • spacecmd >= 4.3.10-41.39.1
  • spacewalk-check >= 4.3.9-55.45.1
  • spacewalk-client-setup >= 4.3.9-55.45.1
  • spacewalk-client-tools >= 4.3.9-55.45.1
  • spacewalk-koan >= 4.3.5-27.18.1
  • spacewalk-oscap >= 4.3.5-22.18.1
  • suseRegisterInfo >= 4.3.3-28.21.1
Patchnames:
SUSE-SLE-Manager-Tools-12-BETA-2022-1531
SUSE Manager Tools 12
  • python2-salt >= 3000-62.1
  • python3-salt >= 3000-62.1
  • salt >= 3000-62.1
  • salt-doc >= 3000-62.1
  • salt-minion >= 3000-62.1
Patchnames:
SUSE-SLE-Manager-Tools-12-2022-1384


First public cloud image revisions this CVE is fixed in: